class Adresse:
    
    # --- Konstruktor ---
    def __init__(self, str, nr, plz, ort):
        self.__strasse      = str
        self.__nummer       = nr
        self.__wohnort      = ort
        if (plz >= 10000) and (plz <= 99999):
            self.__postleitzahl = plz
        else:
            print("Falscher Postleitzahlwert")    
     
    # --- Methoden ---
    def getAdresse(self):
        return self.__strasse + " " + str(self.__nummer) + ", " + \
               str(self.__postleitzahl) + " " + self.__wohnort
            
    def getStrasse(self):
        return self.__strasse
    
    def getPlz(self):
        return self.__postleitzahl
    
    def setStrasse(self, str):
       self.__strasse = str
       
    def setPlz(self, plz):
       if (plz >= 10000) and (plz <= 99999):
            self.__postleitzahl = plz
    
    
    