import re

pattern = re.compile(r'49(0)?123(9)*') 
id      = pattern.search('Die Zeichenkette lautet 49123999.')
print('Die Ausgabe lautet: ' + id.group())

pattern = re.compile(r'0{1,}(123|321)') 
id      = pattern.search('Die Zeichenkette lautet 000123.')
print('Die Ausgabe lautet: ' + id.group())

pattern = re.compile(r'^Die') 
id      = pattern.search('Die Zeichenkette lautet 0049.')
print('Die Ausgabe lautet: ' + id.group())

pattern = re.compile(r'\d{3}$') 
id      = pattern.search('Die Zeichenkette lautet 0049')
print('Die Ausgabe lautet: ' + id.group())

pattern = re.compile(r'Vorname: (.*), Nachname: (.*)') 
id      = pattern.search('Vorname: Sebastian, Nachname: Doern')
print(id.group(1) + " " + id.group(2))




