from Preisgruppe import Preisgruppe 

# ----------- Eingabe -----------
# --- 1. Durchmesser
durchmesser = 5.5

# --- 2. Laenge
laenge = 23 

# ---------------------------------------------
# --- 1. Definition der Preisgruppen
pg = [0 for i in range(5)]
pg[0] = Preisgruppe(0, 3, 0, 20, 0.30)
pg[1] = Preisgruppe(3, 5, 20, 30, 0.40)
pg[2] = Preisgruppe(5, 6, 20, 30, 0.60)
pg[3] = Preisgruppe(6, 15, 30, 50, 0.80)
pg[4] = Preisgruppe(15, 20, 30, 50, 0.90)

# --- 2. Bestimmung des aktuellen Preises
preis = -1
for p in pg:
    if p.pruefePreis(durchmesser, laenge):
        preis = p.getPreis()
        break
    
# --- 3. Ausgabe
if preis >= 0:
    print("Der Preis beträgt", preis, "Euro.")
else:
    print("Der Preis ist unbekannt")    
    
    