import openpyxl

# Definition von Beispieldaten
zahlen = [[1.00, 23.00, 3.43], [-40.43, 4.30, 2.30]]

# 1. Erstellen eines leeren Arbeitsmappe 
wb = openpyxl.Workbook()

# 2. Umbenennen des aktuellen Arbeitsblattes  
tab1 = wb.active
tab1.title = "MeineTabelle1"

# 3. Anlegen neuer Tabellenblätter
tab2 = wb.create_sheet("MeineTabelle2")
tab3 = wb.create_sheet("MeineTabelle3")
        
# 4. Schreiben der Werte 
for i in range(0, len(zahlen)):
    for j in range(0, len(zahlen[0])):
        tab1.cell(row = i+1, column = j+1).value = zahlen[i][j]

# 5. Speichern der Arbeitsmappe
wb.save("Datei.xlsx")
    

