from PIL import Image, ImageDraw, ImageFont

bild = Image.new('RGBA', (800, 800), 'white')
draw = ImageDraw.Draw(bild) 

draw.line([(0, 0), (100, 100), (300, 200), (300, 800)], fill='black', width=10)
draw.rectangle((100, 100, 500, 500), fill=(255,124,10)) 
draw.ellipse((400, 400, 800, 800), fill='blue') 
draw.polygon(((600, 200), (500, 300), (800, 520), (550, 760)), fill='green') 

arialFont = ImageFont.truetype('FONT_FOLDER/arial.ttf', 32)
draw.text((20,600), 'Das ist Kunst', fill = 'black', font=arialFont)

bild.save('Grafik.jpg')

